#include <iostream>

int main() {
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(nullptr);

    int n;
    std::cin >> n;

    static int a[200000];
    static int b[200000];

   
    for (int i = 0; i < n; i++) {
        std::cin >> a[i];
    }

  
    for (int i = 0; i < n; i++) {
        std::cin >> b[i];
    }

    long long m = 0;

    
    for (int i = 0; i < n; i++) {
        long long c = a[i];
        long long d = b[i];

        long long e = c * d;
        if (e > m) {
            m = e;
        }

        
        for (int j = i + 1; j < n; j++) {
            c ^= a[j];
            d &= b[j];

            e = c * d;
            if (e > m) {
                m = e;
            }
        }
    }

    std::cout << m;
    return 0;
}